Package es.imim.DISGENET.network

# Class NetTask

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.network.NetTask

All Implemented Interfaces:
  `org.cytoscape.work.Task`

Direct Known Subclasses:
  `NetTaskAutomation`

public class NetTask extends org.cytoscape.work.AbstractTask

## Field Summary

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`NetTask(GuiParameters curParams)`

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
`GuiParameters`
`getCurParams()`
`boolean`
`isInterrupted()`
`void`
`run(org.cytoscape.work.TaskMonitor taskMonitor)`
`void`
`setCurParams(GuiParameters curParams)`
`void`
`setTaskMonitor(org.cytoscape.work.TaskMonitor taskMonitor)`

### Methods inherited from class org.cytoscape.work.AbstractTask

`getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetTask

public NetTask(GuiParameters curParams)

## Method Details

### isInterrupted

public boolean isInterrupted()

### run

public void run(org.cytoscape.work.TaskMonitor taskMonitor) throws Exception

Specified by:
  `run` in interface `org.cytoscape.work.Task`
Specified by:
  `run` in class `org.cytoscape.work.AbstractTask`
Throws:
  `Exception`

### cancel

public void cancel()

Specified by:
  `cancel` in interface `org.cytoscape.work.Task`
Overrides:
  `cancel` in class `org.cytoscape.work.AbstractTask`

### setTaskMonitor

public void setTaskMonitor(org.cytoscape.work.TaskMonitor taskMonitor) throws IllegalThreadStateException

Throws:
  `IllegalThreadStateException`

### getCurParams

public GuiParameters getCurParams()

### setCurParams

public void setCurParams(GuiParameters curParams)